org.apache.fop.afp

## Class AFPStreamer

- java.lang.Object
- - org.apache.fop.afp.AFPStreamer

All Implemented Interfaces:
  Streamable

    public class AFPStreamer
    extends Object
    implements Streamable

Manages the streaming of the AFP output

### Constructor Summary

Constructors
Constructor and Description
`AFPStreamer(Factory factory, InternalResourceResolver resourceResolver)` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Closes off the AFP stream writing the document stream
`DataStream` `createDataStream(AFPPaintingState paintingState)` Creates a new DataStream
`ResourceGroup` `getResourceGroup(AFPResourceLevel level)` Returns the resource group for a given resource info
`void` `setDefaultResourceGroupUri(URI uri)` Sets the default resource group URI.
`void` `setOutputStream(OutputStream outputStream)` Sets the final outputstream
`void` `writeToStream(OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AFPStreamer

    public AFPStreamer(Factory factory,
                       InternalResourceResolver resourceResolver)

Main constructor

Parameters:
  `factory` - a factory
  `resourceResolver` - resource resolver

### Method Detail

#### createDataStream

    public DataStream createDataStream(AFPPaintingState paintingState)
                                throws IOException

Creates a new DataStream

Parameters:
  `paintingState` - the AFP painting state
Returns:
  a new `DataStream`
Throws:
  `IOException` - thrown if an I/O exception of some sort has occurred

#### setDefaultResourceGroupUri

    public void setDefaultResourceGroupUri(URI uri)

Sets the default resource group URI.

Parameters:
  `uri` - the default resource group URI

#### getResourceGroup

    public ResourceGroup getResourceGroup(AFPResourceLevel level)

Returns the resource group for a given resource info

Parameters:
  `level` - a resource level
Returns:
  a resource group for the given resource info

#### close

    public void close()
               throws IOException

Closes off the AFP stream writing the document stream

Throws:
  `IOException` - if an an I/O exception of some sort has occurred

#### setOutputStream

    public void setOutputStream(OutputStream outputStream)

Sets the final outputstream

Parameters:
  `outputStream` - an outputstream

#### writeToStream

    public void writeToStream(OutputStream os)
                       throws IOException

DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

Specified by:
  `writeToStream` in interface `Streamable`
Parameters:
  `os` - the outputsteam stream
Throws:
  `IOException` - an I/O exception of some sort has occurred.